Qwt User's Guide: QwtDialNeedle Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
QwtDialNeedle Class Referenceabstract

Base class for needles that can be used in a QwtDial. More...

`#include <qwt_dial_needle.h>`

Inheritance diagram for QwtDialNeedle:

## Public Member Functions
| QwtDialNeedle ()
| Constructor.
virtual | ~QwtDialNeedle ()
| Destructor.
virtual void | setPalette (const QPalette &)
const QPalette & | palette () const
virtual void | draw (QPainter *, const QPointF &center, double length, double direction, QPalette::ColorGroup=QPalette::Active) const

## Protected Member Functions
virtual void | drawNeedle (QPainter *painter, double length, QPalette::ColorGroup colorGroup) const =0
| Draw the needle.
virtual void | drawKnob (QPainter *, double width, const QBrush &, bool sunken) const
| Draw the knob.

## Detailed Description

Base class for needles that can be used in a QwtDial.

QwtDialNeedle is a pointer that indicates a value by pointing to a specific direction.

See also
  QwtDial, QwtCompass

Definition at line 27 of file qwt_dial_needle.h.

## Constructor & Destructor Documentation

## ◆ QwtDialNeedle()

QwtDialNeedle::QwtDialNeedle | ( |  | ) |

Constructor.

Definition at line 182 of file qwt_dial_needle.cpp.

## ◆ ~QwtDialNeedle()

QwtDialNeedle::~QwtDialNeedle | ( |  | ) |
| virtual

Destructor.

Definition at line 188 of file qwt_dial_needle.cpp.

## Member Function Documentation

## ◆ draw()

void QwtDialNeedle::draw | ( | QPainter * | painter,
|  | const QPointF & | center,
|  | double | length,
|  | double | direction,
|  | QPalette::ColorGroup | colorGroup = QPalette::Active ) const
| virtual

Draw the needle

Parameters

  painter | Painter
  center | Center of the dial, start position for the needle
  length | Length of the needle
  direction | Direction of the needle, in degrees counter clockwise
  colorGroup | Color group, used for painting

Definition at line 219 of file qwt_dial_needle.cpp.

## ◆ drawKnob()

void QwtDialNeedle::drawKnob | ( | QPainter * | painter,
|  | double | width,
|  | const QBrush & | brush,
|  | bool | sunken ) const
| protectedvirtual

Draw the knob.

Definition at line 234 of file qwt_dial_needle.cpp.

## ◆ drawNeedle()

virtual void QwtDialNeedle::drawNeedle | ( | QPainter * | painter,
|  | double | length,
|  | QPalette::ColorGroup | colorGroup ) const
| protectedpure virtual

Draw the needle.

The origin of the needle is at position (0.0, 0.0 ) pointing in direction 0.0 ( = east ).

The painter is already initialized with translation and rotation.

Parameters

  painter | Painter
  length | Length of the needle
  colorGroup | Color group, used for painting

See also
  setPalette(), palette()

Implemented in QwtDialSimpleNeedle, QwtCompassMagnetNeedle, and QwtCompassWindArrow.

## ◆ palette()

const QPalette & QwtDialNeedle::palette | ( |  | ) | const

Returns
  the palette of the needle.

Definition at line 205 of file qwt_dial_needle.cpp.

## ◆ setPalette()

void QwtDialNeedle::setPalette | ( | const QPalette & | palette | ) |
| virtual

Sets the palette for the needle.

Parameters

  palette | New Palette

Definition at line 197 of file qwt_dial_needle.cpp.